Skip to content

Create Chat Profile

POST
/api/chatbots/{id}/profiles

Create a pre-configured chat profile with birth data

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
  
"data": {
  
  
"type": "chat-profile",
  
  
"attributes": {
  
  
  
"externalUserId": "string",
  
  
  
"birthDate": "string",
  
  
  
"birthTime": "string",
  
  
  
"birthPlaceLat": 0,
  
  
  
"birthPlaceLng": 0,
  
  
  
"birthPlaceName": "string",
  
  
  
"timezone": "string",
  
  
  
"metadata": {
  
  
  
  
"additionalProperties": null
  
  
  
}
  
  
}
  
}
}

Responses

Created profile

application/vnd.api+json
JSON
[
]

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation